Package org.spongepowered.asm.mixin.extensibility

## Interface IMixinConfigSource

All Known Subinterfaces:
  `IContainerHandle`

All Known Implementing Classes:
  `ContainerHandleURI`, `ContainerHandleVirtual`

    public interface IMixinConfigSource

Interface for loaded mixin configurations

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDescription()` Plain text description of the config source, can be as descriptive as necessary to help the user identify the source, for example could be the full path to the source item, or something more descriptive.
`java.lang.String` `getId()` Get the identifier for this source

### Method Detail

#### getId

    java.lang.String getId()

Get the identifier for this source

#### getDescription

    java.lang.String getDescription()

Plain text description of the config source, can be as descriptive as necessary to help the user identify the source, for example could be the full path to the source item, or something more descriptive.